version: 1
metadata:
  category: Social
  name: Synapse
  version: v1.119.0
  tagline: A self-hosted Matrix server
  description: >-
    Synapse is a self-hosted server for the Matrix network.

    Please note: To create an account in Synapse, you need to use the "Synapse Admin" app.
  repos:
    Core: https://github.com/element-hq/synapse
  support: https://github.com/element-hq/synapse/
  developers:
    Element: https://element.io/
  default_username: nirvati
  default_password: {{ derive_entropy(identifier="password") }}
  icon: https://official-app-icons.nirvati.org/synapse/icon.svg
  license: AGPL-3.0-or-later
  volumes:
    synapse:
      minimum_size: 50Mi
      recommended_size: 500Mi
      name: Core
      description: The main synapse data
    db:
      minimum_size: 500Mi
      recommended_size: 500Mi
      name: Database
      description: The synapse database
